Name:           ocaml-zero
Version:        109.21.00
Release:        %mkrel 2
Summary:        OCaml data structures optimized for speed
License:        ASL 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/zero
Source0:        https://ocaml.janestreet.com/ocaml-core/%{version}/individual/zero-%{version}.tar.gz
BuildRequires:  ocaml-compiler	
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-sexplib >= 109.20.00
BuildRequires:  ocaml-pa_ounit >= 109.15.00
BuildRequires:  ocaml-fieldslib >= 109.20.00
BuildRequires:  ocaml-janest-core >= 109.21.00
Requires: ocaml-janest-core

%description
A library with general data structures like Core but that emphasizes
performance over usability.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-janest-core-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n zero-%{version}

%build
make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_LDCONF=ignore
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/zero
make install

%files
%doc LICENSE.txt THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/zero
%{_libdir}/ocaml/zero/META
%{_libdir}/ocaml/zero/*.cmi
%{_libdir}/ocaml/zero/*.cma
%{_libdir}/ocaml/zero/*.cmxs
%{_libdir}/ocaml/zero/dllcheck_caml_modify_stubs.so

%files devel
%{_libdir}/ocaml/zero/*.a
%{_libdir}/ocaml/zero/*.cmxa
%{_libdir}/ocaml/zero/*.mli
%{_libdir}/ocaml/zero/*.ml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 109.21.00-2.mga4
+ Revision: 526506
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 malo <malo> 109.21.00-1.mga4
+ Revision: 437199
- imported package ocaml-zero

